﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using RemoteTestRunner.BusinessLogic.Models;

namespace RemoteTestRunner.BusinessLogic.Presenters
{
    public class EditTestsPresenter : DialogPresenterBase 
    {
        private Views.IEditTestsView _view;

        public EditTestsPresenter(Views.IEditTestsView view)
        {
            _view = view;
        }

        public override void Start()
        {
            _view.Model = RtrServiceResolver.Service;
            if (_view.ShowDialog(Parent) == DialogResult.OK)
            {
                RtrServiceResolver.OnDataChanged(this, EventArgs.Empty);
            }
        }

        public override void Stop()
        {
            _view.Close();
        }
    }
}
