﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace RemoteTestRunner.BusinessLogic.Presenters
{
    public class LongRunningPresenter : DialogPresenterBase
    {
        private Views.ILongRunningView _view;

        public LongRunningPresenter(Views.ILongRunningView view)
        {
            _view = view;
        }

        public string Description { get { return _view.Description; } set { _view.Description = value; } }

        public override void Start()
        {
            _view.ShowDialog(Parent);
        }

        public override void Stop()
        {
            _view.Close();
        }
    }
}
