﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace RemoteTestRunner.BusinessLogic.Presenters
{
    public class OptionsPresenter : DialogPresenterBase
    {
        private Views.IOptionsView _view;

        public OptionsPresenter(Views.IOptionsView view)
        {
            _view = view;
        }

        public override void Start()
        {
            _view.ShowDialog(Parent);
        }

        public override void Stop()
        {
            _view.Close();
        }
    }
}
