﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace RemoteTestRunner.Contracts
{
    [DataContract]
    [Serializable]
    public class TestClass
    {
        public TestClass()
        {
            TestMethods = new List<TestMethod>();
        }

        [DataMember]
        public string Name { get; set; }

        [DataMember]
        public List<TestMethod> TestMethods { get; private set; }

        [DataMember]
        public bool IsTestable { get; set; }

        public bool IsSelected { get; set; }
    }
}
