﻿using System;
using System.Runtime.Serialization;

namespace RemoteTestRunner.Contracts
{
    [DataContract]
    [Serializable]
    public class TestInfo
    {
        [DataMember()]
        public int Id { get; set; }

        [DataMember()]
        public int ProjectId { get; set; }

        [DataMember()]
        public string Name { get; set; }

        [DataMember()]
        public string AssemblyPath { get; set; }

        [DataMember()]
        public string ConfigPath { get; set; }

        [DataMember]
        public string RunConfigPath { get; set; }

        [DataMember()]
        public string CreatedBy { get; set; }

        [DataMember()]
        public DateTime CreatedDate { get; set; }

        [DataMember()]
        public string ModifiedBy { get; set; }

        [DataMember()]
        public DateTime ModifiedDate { get; set; }
    }
}
