﻿using System;
using RemoteTestRunner.BusinessLogic.Views;

namespace RemoteTestRunner.FormsUI.Wpf
{
    /// <summary>
    ///   Interaction logic for Window1.xaml
    /// </summary>
    public partial class Runner : ITestRunnerWpfView
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="Runner"/> class.
        /// </summary>
        public Runner()
        {
            InitializeComponent();
        }

        #endregion

        #region ITestRunnerWpfView Members

        public void DisplayInvalidResultsFileMessage()
        {
            throw new NotImplementedException();
        }

        public bool CanDeleteSelectedResults()
        {
            throw new NotImplementedException();
        }

        public void SetRootDataContext(object context)
        {
            DataContext = context;
        }

        public void SetDetailedResults(string results)
        {
            detailedTestResults.NavigateToString(results);
        }

        #endregion
    }
}