﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Reflection;
using System.Text;
using System.Linq;
using System.Xml;
using System.Xml.Xsl;
using System.Xml.Linq;
using RemoteTestRunner.Contracts;

namespace RemoteTestRunner.FormsUI.Presenters
{
    public class DetailedResultsPresenter
    {
        private Views.IDetailedResultsView _view;

        private TestResult _testResult;

        public DetailedResultsPresenter(Views.IDetailedResultsView view, TestResult testResult)
        {
            _view = view;
            _testResult = testResult;
        }

        public void Start()
        {
            if (_testResult != null)
            {
                _view.ShowText(_testResult.MultiAssertReport);
            }
            else
            {
                _view.Navigate("about:blank");
            }
        }
    }
}
