﻿using RemoteTestRunner.DataAccess;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using RemoteTestRunner.Contracts;
using System.Collections.Generic;

namespace UnitTests
{


    /// <summary>
    ///This is a test class for ProjectDataAccessTest and is intended
    ///to contain all ProjectDataAccessTest Unit Tests
    ///</summary>
    [TestClass()]
    public class ProjectDataAccessTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for SaveProjects
        ///</summary>
        [TestMethod()]
        public void SaveProjectsTest()
        {
            string path = @"C:\rtr\rtr.xml";
            ProjectDataAccess target = new ProjectDataAccess(path); // TODO: Initialize to an appropriate value
            List<Project> projects = new List<Project>(); // TODO: Initialize to an appropriate value
            target.SaveProjects(projects);
        }

        /// <summary>
        ///A test for GetProjects
        ///</summary>
        [TestMethod()]
        public void GetProjectsTest()
        {
            string path = @"C:\rtr\rtr.xml";
            ProjectDataAccess target = new ProjectDataAccess(path); 
            //List<Project> expected = null; 
            List<Project> actual;
            actual = target.GetProjects();

            path = @"C:\rtr\rtr2.xml";
            target = new ProjectDataAccess(path); 
            target.SaveProjects(actual);
            //Assert.AreEqual(expected, actual);
            //Assert.Inconclusive("Verify the correctness of this test method.");
        }
    }
}
