﻿using System;

namespace RemoteTestRunner.BusinessLogic
{
    public interface IRtrSettings
    {
        #region Properties

        string DataPath { get; set; }
        string WorkingFolder { get; set; }
        string MsTestPath { get; set; }
        int TestTimeoutSeconds { get; set; }
        bool UseRunnerService { get; set; }
        bool FilterTests { get; set; }
        string RunnerServiceUrl { get; set; }

        #endregion

        #region Event Handlers

        event EventHandler SettingsSaved;

        #endregion

        #region Methods

        void Save();
        void Cancel();

        #endregion
    }
}