﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace RemoteTestRunner.FormsUI.Views
{
    public partial class DetailResults : UserControl, Views.IDetailedResultsView
    {
        public DetailResults()
        {
            InitializeComponent();
        }

        #region IDetailedResultsView Members

        public void ShowStream(System.IO.Stream stream)
        {
            wbReport.DocumentStream = stream;
        }

        public void ShowText(string text)
        {
            wbReport.DocumentText = text;
        }

        public void Navigate(string url)
        {
            wbReport.Navigate(url);
        }

        #endregion
    }
}
