﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace RemoteTestRunner.FormsUI.Wpf
{
    [ValueConversion(typeof(bool), typeof(string))]
    class DataDrivenTestConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            bool input = (bool)value;
            if (input)
            {
                return "Images/DataDrivenTest.png";
            }
            else
            {
                return "Images/Test.png";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
